Browse Source

Bump ansible to latest 2.5 version

This is the same version run by zuul.

Update devstack callback for ansible 2.5.

Change-Id: Ic0d2559346570e60025838166b9bd0081eee331a
Signed-off-by: Paul Belanger <pabelanger@redhat.com>
changes/27/591527/3
Paul Belanger 9 months ago
parent
commit
87b3df3169
2 changed files with 2 additions and 2 deletions
  1. 1
    1
      devstack-vm-gate-wrap.sh
  2. 1
    1
      playbooks/plugins/callback/devstack.py

+ 1
- 1
devstack-vm-gate-wrap.sh View File

@@ -28,7 +28,7 @@ GIT_BRANCH=${GIT_BRANCH:-master}
28 28
 # We're using enough ansible specific features that it's extremely
29 29
 # possible that new ansible releases can break us. As such we should
30 30
 # be very deliberate about which ansible we use.
31
-ANSIBLE_VERSION=${ANSIBLE_VERSION:-2.3.2.0}
31
+ANSIBLE_VERSION=${ANSIBLE_VERSION:-2.5.7}
32 32
 export DSTOOLS_VERSION=${DSTOOLS_VERSION:-0.4.0}
33 33
 
34 34
 # sshd may have been compiled with a default path excluding */sbin

+ 1
- 1
playbooks/plugins/callback/devstack.py View File

@@ -22,7 +22,7 @@ from __future__ import print_function
22 22
 
23 23
 from ansible import constants as C
24 24
 from ansible.plugins.callback import CallbackBase
25
-from ansible.vars import strip_internal_keys
25
+from ansible.plugins.callback import strip_internal_keys
26 26
 
27 27
 import datetime
28 28
 import yaml

Loading…
Cancel
Save